# Version
Include                           ( ${CMAKE_CURRENT_LIST_DIR}/nlohmann_json-version.cmake )
Set                               ( NLOHMANN_JSON_VERSION_SHORT "${NLOHMANN_JSON_VERSION_MAJOR}.${NLOHMANN_JSON_VERSION_MINOR}" )
Set                               ( NLOHMANN_JSON_VERSION_MID "${NLOHMANN_JSON_VERSION_SHORT}.${NLOHMANN_JSON_VERSION_PATCH}" )
Set                               ( NLOHMANN_JSON_VERSION "${NLOHMANN_JSON_VERSION_MID}.${NLOHMANN_JSON_VERSION_BUILD}" )
Set                               ( NLOHMANN_JSON_NAME "nlohmann_json-${NLOHMANN_JSON_VERSION_MID}" )
Set                               ( NLOHMANN_JSON_OUTPUTNAME "nlohmann_json" )

# Install directories
Set                               ( NLOHMANN_JSON_INSTALL_DIR_INCLUDE "include/${NLOHMANN_JSON_NAME}" )
Set                               ( NLOHMANN_JSON_INSTALL_DIR_LIB "lib" )
Set                               ( NLOHMANN_JSON_INSTALL_DIR_SHARE "share/${NLOHMANN_JSON_NAME}" )

# C Standard
Set                               ( CMAKE_C_STANDARD   11 )
Set                               ( CMAKE_CXX_STANDARD 17 )
Set                               ( CMAKE_C_STANDARD_REQUIRED   ON )
Set                               ( CMAKE_CXX_STANDARD_REQUIRED ON )
